# wxWizardEvent Class Reference
[Events]

`#include <wx/wizard.h>`

Inheritance diagram for wxWizardEvent:
[legend]

## Detailed Description

wxWizardEvent class represents an event generated by the wxWizard: this event is first sent to the page itself and, if not processed there, goes up the window hierarchy as usual.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxWizardEvent& event)
Event macros:

- EVT_WIZARD_PAGE_CHANGED(id, func):
  The page has been just changed (this event cannot be vetoed).
- EVT_WIZARD_PAGE_CHANGING(id, func):
  The page is being changed (this event can be vetoed).
- EVT_WIZARD_PAGE_SHOWN(id, func):
  The page was shown and laid out (this event cannot be vetoed).
- EVT_WIZARD_CANCEL(id, func):
  The user attempted to cancel the wizard (this event may also be vetoed).
- EVT_WIZARD_HELP(id, func):
  The wizard help button was pressed.
- EVT_WIZARD_FINISHED(id, func):
  The wizard finished button was pressed.

##

Library: wxAdvanced

Category: Events

See also:
  wxWizard, Wizard Sample

## Public Member Functions
| wxWizardEvent (wxEventType type=wxEVT_NULL, int id=wxID_ANY, bool direction=true, wxWizardPage *page=0)
| Constructor.
bool | GetDirection () const
| Return the direction in which the page is changing: for `EVT_WIZARD_PAGE_CHANGING`, return true if we're going forward or false otherwise and for `EVT_WIZARD_PAGE_CHANGED` return true if we came from the previous page and false if we returned from the next one.
wxWizardPage * | GetPage () const
| Returns the wxWizardPage which was active when this event was generated.

List of all members.

## Constructor & Destructor Documentation

wxWizardEvent::wxWizardEvent | ( | wxEventType | type = `wxEVT_NULL`,
|  | int | id = `wxID_ANY`,
|  | bool | direction = `true`,
|  | wxWizardPage * | page = `0` |
| ) |  |  |

Constructor.

It is not normally used by the user code as the objects of this type are constructed by wxWizard.

## Member Function Documentation

bool wxWizardEvent::GetDirection | ( |  | ) | const

Return the direction in which the page is changing: for `EVT_WIZARD_PAGE_CHANGING`, return true if we're going forward or false otherwise and for `EVT_WIZARD_PAGE_CHANGED` return true if we came from the previous page and false if we returned from the next one.

wxWizardPage* wxWizardEvent::GetPage | ( |  | ) | const

Returns the wxWizardPage which was active when this event was generated.

|  | [ top ]